Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTriangleFilter Class Reference

`#include <vtkTriangleFilter.h>`

Inheritance diagram for vtkTriangleFilter:

[legend]
Collaboration diagram for vtkTriangleFilter:

[legend]
List of all members.

## Detailed Description

create triangle polygons from input polygons and triangle strips

Date:
  2002/01/22 15:29:54

Revision:
  1.34

vtkTriangleFilter generates triangles from input polygons and triangle strips. The filter also will pass through vertices and lines, if requested.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (83%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkTriangleFilter.cxx)`
  - .`h` (`/Graphics/vtkTriangleFilter.h)`

Examples:
  vtkTriangleFilter (Examples)

Tests:
  vtkTriangleFilter (Tests)

Definition at line 48 of file vtkTriangleFilter.h.

## Public Types
typedef vtkPolyDataToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | PassVertsOn ()
virtual void | PassVertsOff ()
virtual void | SetPassVerts (int)
virtual int | GetPassVerts ()
virtual void | PassLinesOn ()
virtual void | PassLinesOff ()
virtual void | SetPassLines (int)
virtual int | GetPassLines ()
## Static Public Methods
vtkTriangleFilter * | New ()
int | IsTypeOf (const char *type)
vtkTriangleFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkTriangleFilter ()
| ~vtkTriangleFilter ()
void | Execute ()
## Protected Attributes
int | PassVerts
int | PassLines

## Member Typedef Documentation

typedef vtkPolyDataToPolyDataFilter vtkTriangleFilter::Superclass

| Reimplemented from vtkPolyDataToPolyDataFilter. Definition at line 52 of file vtkTriangleFilter.h.

## Constructor & Destructor Documentation

vtkTriangleFilter::vtkTriangleFilter | ( |  | ) | `[inline, protected]`

| Definition at line 70 of file vtkTriangleFilter.h.

vtkTriangleFilter::~vtkTriangleFilter | ( |  | ) | `[inline, protected]`

| Definition at line 71 of file vtkTriangleFilter.h.

## Member Function Documentation

vtkTriangleFilter* vtkTriangleFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkTriangleFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

int vtkTriangleFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual int vtkTriangleFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkTriangleFilter* vtkTriangleFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

void vtkTriangleFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual void vtkTriangleFilter::PassVertsOn | ( |  | ) | `[virtual]`

| Turn on/off passing vertices through filter.

virtual void vtkTriangleFilter::PassVertsOff | ( |  | ) | `[virtual]`

| Turn on/off passing vertices through filter.

virtual void vtkTriangleFilter::SetPassVerts | ( | int |  | ) | `[virtual]`

| Turn on/off passing vertices through filter.

virtual int vtkTriangleFilter::GetPassVerts | ( |  | ) | `[virtual]`

| Turn on/off passing vertices through filter.

virtual void vtkTriangleFilter::PassLinesOn | ( |  | ) | `[virtual]`

| Turn on/off passing lines through filter.

virtual void vtkTriangleFilter::PassLinesOff | ( |  | ) | `[virtual]`

| Turn on/off passing lines through filter.

virtual void vtkTriangleFilter::SetPassLines | ( | int |  | ) | `[virtual]`

| Turn on/off passing lines through filter.

virtual int vtkTriangleFilter::GetPassLines | ( |  | ) | `[virtual]`

| Turn on/off passing lines through filter.

void vtkTriangleFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

int vtkTriangleFilter::PassVerts`[protected]`

| Definition at line 76 of file vtkTriangleFilter.h.

int vtkTriangleFilter::PassLines`[protected]`

| Definition at line 77 of file vtkTriangleFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkTriangleFilter.h